public class TestPassObject {
  /** Metoda main */
  public static void main(String[] args) {
    // Tworzenie obiektu typu Circle o promieniu 1
    CircleWithPrivateDataFields myCircle = 
      new CircleWithPrivateDataFields(1); // Użyj klasy Circle z listingu 9.8

    // Wyświetlanie powierzchni kół o promieniach 1, 2, 3, 4 i 5
    int n = 5;
    printAreas(myCircle, n);

    // Wyświetlanie wartości radius i times z myCircle
    System.out.println("\n" + "Promień wynosi " + myCircle.getRadius());
    System.out.println("n wynosi " + n);
  }

  /** Wyświetla tabelę powierzchni dla określonych promieni */
  public static void printAreas(CircleWithPrivateDataFields c, int times) {
    System.out.println("Promień \t\tPowierzchnia");
    while (times >= 1) {
      System.out.println(c.getRadius() + "\t\t" + c.getArea());
      c.setRadius(c.getRadius() + 1);
      times--;
    }
  }
}
